[Overview][Constants][Classes][Index] | Reference for unit 'memds' (#fcl)

# TMemDataset.Clear

Clears the content in the in-memory dataset

## Declaration

Source position: memds.pp line 142

`public procedure TMemDataset.Clear(`
`ClearDefs: Boolean`
`); procedure TMemDataset.Clear;`

## Arguments

`ClearDefs` |  | Use True to remove field definitions in the dataset

## Description

Clear is an overloaded procedure used to clear record data, Blob streams, and optionally Field definitions in the in-memory dataset. Clear removes any Blob streams allocated for memo fields in the dataset. Clear removes any memory allocated to the internal TMemoryStream used for record data in the dataset. If the dataset is Active, the Resync method is called to refresh values in the active record buffer.

ClearDefs indicates if the FieldDefs for the dataset are also cleared. When ClearDefs is True, the Close method is called to deactivate the dataset. All field definitions in FieldDefs are removed. The internal member TableIsCreated is set to False.

## See also

TDataset.Active |  | Is the dataset open or closed.
TDataset.Close |  | Close the dataset
TDataset.FieldDefs |  | Definitions of available fields in the underlying database